# Class: YARD::CodeObjects::RootObject

Inherits:
  ModuleObject
  - Object
  - Base
  - NamespaceObject
  - ModuleObject
  - YARD::CodeObjects::RootObject
  show all

Defined in:
  lib/yard/code_objects/root_object.rb

## Overview

Represents the root namespace object (the invisible Ruby module that holds all top level modules, class and other objects).

## Instance Method Summary collapse

- #equal?(other) ⇒ Boolean
- #hash ⇒ Object
- #inspect ⇒ Object
- #path ⇒ Object
- #root? ⇒ Boolean
- #title ⇒ Object

## Constructor Details

This class inherits a constructor from YARD::CodeObjects::NamespaceObject

## Dynamic Method Handling

This class handles dynamic methods through the `method_missing` method in the class YARD::CodeObjects::Base

## Instance Method Details

### #equal?(other) ⇒ `Boolean`

Returns:

- (`Boolean`)

    12
    13
    14

    # File 'lib/yard/code_objects/root_object.rb', line 12

    def equal?(other)
      other == :root ? true : super(other)
    end

### #hash ⇒ `Object`

    16

    # File 'lib/yard/code_objects/root_object.rb', line 16

    def hash; :root.hash end

### #inspect ⇒ `Object`

    8

    # File 'lib/yard/code_objects/root_object.rb', line 8

    def inspect; @inspect ||= "#<yardoc root>" end

### #path ⇒ `Object`

    7

    # File 'lib/yard/code_objects/root_object.rb', line 7

    def path; @path ||= "" end

### #root? ⇒ `Boolean`

Returns:

- (`Boolean`)

    9

    # File 'lib/yard/code_objects/root_object.rb', line 9

    def root?; true end

### #title ⇒ `Object`

    10

    # File 'lib/yard/code_objects/root_object.rb', line 10

    def title; 'Top Level Namespace' end